/// <reference types="node" />
import { TextDocument } from 'vscode-languageserver';
import { Readable } from 'stream';
import { SpawnOptions } from 'child_process';
export declare function executeFile(input: Readable, textDocument: TextDocument, command: string, args?: any[], option?: SpawnOptions): Promise<{
    code: number;
    stdout: string;
    stderr: string;
}>;
export declare function pcb(cb: (...args: any[]) => void): (...args: any[]) => Promise<any>;
export declare function findWorkDirectory(filePath: string, rootPatterns: string | string[]): Promise<string>;
export declare function findCommand(command: string, workDir: string): Promise<string>;
