"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var connection;
exports.default = {
    init: function (con) {
        connection = con;
    },
    log: function (message) {
        if (connection) {
            connection.console.log(message);
        }
    },
    error: function (message) {
        if (connection) {
            connection.console.error(message);
        }
    },
    warn: function (message) {
        if (connection) {
            connection.console.warn(message);
        }
    },
    info: function (message) {
        if (connection) {
            connection.console.info(message);
        }
    },
};
